Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2136236 - Review Request: mingw-python-flit-core - MinGW Python flit_core library
Summary: Review Request: mingw-python-flit-core - MinGW Python flit_core library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-19 17:26 UTC by Sandro Mani
Modified: 2022-11-01 11:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-01 11:05:20 UTC
Type: ---
Embargoed:
gui1ty: fedora-review+


Attachments (Terms of Use)

Comment 1 Maxwell G 2022-10-19 19:46:38 UTC
This bootstrap logic is not necessary. See https://flit.pypa.io/en/stable/bootstrap.html.

Comment 2 Maxwell G 2022-10-19 19:51:28 UTC
Would it be possible to run unit tests like we do for most other Python packages?

Comment 3 Sandro Mani 2022-10-19 20:45:50 UTC
Thanks for the pointer, I've adapted the spec:

%changelog
* Wed Oct 19 2022 Sandro Mani <manisandro> - 3.7.1-2
- Use flit bootstrapping logic

Spec URL: https://smani.fedorapeople.org/review/mingw-python-flit-core.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-python-flit-core-3.7.1-2.fc38.src.rpm


Regarding tests: I haven't yet looked into it for mingw-python packages, I'd prefer to finish the py3.11 migration first and then look into it.

Comment 4 Sandro 2022-10-31 17:44:25 UTC
I might as well...

Comment 5 Sandro 2022-10-31 18:18:09 UTC
LGTM: Just needs the license string expanded and compulsory comment added.

Approved!

Issues:
=======

- License field in the package spec file matches the actual license.
=> flit_core/versionno.py is BSD-2-Clause

- rpmlint: E: zero-length and E: non-executable-script regarding some sample files
=> I think that's okay


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License", "MIT License",
     "*No copyright* MIT License". 79 files have unknown license. Detailed
     output of licensecheck in /var/lib/copr-rpmbuild/results/mingw-python-
     flit-core/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
E: zero-length and E: non-executable-script regarding some sample files
=> I think that's okay


Source checksums
----------------
https://files.pythonhosted.org/packages/source/f/flit_core/flit_core-3.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 14955af340c43035dbfa96b5ee47407e377ee337f69e70f73064940d27d0a44f
  CHECKSUM(SHA256) upstream package : 14955af340c43035dbfa96b5ee47407e377ee337f69e70f73064940d27d0a44f


Requires
--------
mingw32-python3-flit-core (rpmlib, GLIBC filtered):
    mingw32(python(abi))

mingw64-python3-flit-core (rpmlib, GLIBC filtered):
    mingw64(python(abi))



Provides
--------
mingw32-python3-flit-core:
    mingw32(python3.11dist(flit-core))
    mingw32(python3dist(flit-core))
    mingw32-python3-flit-core

mingw64-python3-flit-core:
    mingw64(python3.11dist(flit-core))
    mingw64(python3dist(flit-core))
    mingw64-python3-flit-core



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name mingw-python-flit-core --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, Ocaml, R, fonts, Java, C/C++, SugarActivity, PHP, Haskell, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Sandro Mani 2022-10-31 19:55:01 UTC
Thanks! I'll fix the license to BSD-2-Clause on import.

Comment 7 Gwyn Ciesla 2022-10-31 20:00:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-python-flit-core

Comment 8 Fedora Update System 2022-11-01 10:58:12 UTC
FEDORA-2022-f7a5568776 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f7a5568776

Comment 9 Fedora Update System 2022-11-01 11:05:20 UTC
FEDORA-2022-f7a5568776 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.